Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.action
Class Action

    java.lang.Object
      net.sourceforge.pebble.web.action.Action

Direct Known Subclasses:
  AboutAction, AboutAuthorAction, AbstractCommentAction, AbstractTrackBackAction, AddTrackBackAction, AdvancedSearchAction, ErrorAction, FeedAction, FileAction, FourZeroFourAction, FourZeroOneAction, FourZeroThreeAction, LoginAction, LoginPageAction, LogoutAction, RemoveEmailAddressAction, ResponseFeedAction, SearchAction, SecureAction, SubscribeAction, UnsubscribeAction, ViewBlogEntriesByPageAction, ViewCategoriesListAction, ViewCategoryAction, ViewCommunityAction, ViewDayAction, ViewFeedsAction, ViewHomePageAction, ViewMonthAction, ViewStaticPageAction, ViewTagAction, ViewTagsAction

    public abstract class Action

extends java.lang.Object

The superclass for all command/action components delegated to by the controller.

Author:
  Simon Brown

Constructor Summary
`Action()`

Method Summary
`Model` | `getModel()` Gets the model.
`abstract View` | `process(HttpServletRequest request, HttpServletResponse response)` Peforms the processing associated with this action.
`void` | `setModel(Model model)` Sets the model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Action

    public Action()

Method Detail

### getModel

    public Model getModel()

  Gets the model.

  Returns:
    a Model instance

### setModel

    public void setModel(Model model)

  Sets the model.

  Parameters:
    `model` - a Model instance

### process

    public abstract View process(HttpServletRequest request,
                                 HttpServletResponse response)
                          throws ServletException

  Peforms the processing associated with this action.

  Parameters:
    `request` - the HttpServletRequest instance
    `response` - the HttpServletResponse instance
  Returns:
    the name of the next view
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.